# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.6.0] - 2024-03-13

### Changed

- Use post call for tracking

## [0.5.0] - 2023-11-06

### Changed

- Don't be so strict about dependency versions.

### Internal

- Use rye instead of poetry.

## [0.4.1] - 2023-05-29

### Added

- Track urlref. PR [#21](https://github.com/spraakbanken/asgi-matomo/pull/21) by [@kod-kristoff](https://github.com/kod-kristoff).

### Fixed

- Respect x-forwarded-for. PR [#18](https://github.com/spraakbanken/asgi-matomo/pull/18) by [@kod-kristoff](https://github.com/kod-kristoff).

## [0.4.0] - 2023-05-25

### Documentation

- Add documentation [here](https://spraakbanken.github.io/asgi-matomo)

### Fixed

- Handle lifespan correctly. PR [#13](https://github.com/spraakbanken/asgi-matomo/pull/13) by [@kod-kristoff](https://github.com/kod-kristoff).

## [0.3.2] - 2023-05-23

### Added

- Add PerfMsTracker. PR [#10](https://github.com/spraakbanken/asgi-matomo/pull/10) by [@kod-kristoff](https://github.com/kod-kristoff).

### Internal

- Bump starlette to 0.27

## [0.3.0] - 2023-05-22

### Added

- Allow setting route-details

### Documentation

- Add release notes header

### Fixed

- Ignore mypy lints

### Internal

- Update chore targets

## [0.2.0] - 2023-05-12

### Added

- Exclude paths from tracking
- Pass custom variables to middleware
- Track status_code and method

### Documentation

- Update readme

### Fixed

- Use send_image=0

### Internal

- Add git-cliff config
- Add more metadata
- Add test that real client is created

## [0.1.4] - 2023-05-10

### Fixed

- Measure time in ms

## [0.1.3] - 2023-05-10

### Fixed

- Add debug prints
- Onyl track first server address

### Internal

- Bump version
- Add bump2version
- Update Makefile

## [0.1.1] - 2023-05-09

### Added

- Import middleware from karp-backend

### Documentation

- Write README.md
- Add codecov badge

### Fixed

- Add log call for tracking response

### Internal

- Poetry setup
- Fix type hint
- Bump version

<!-- generated by git-cliff -->
